> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Start POS Interaction



## OpenAPI

````yaml /openapi.yaml post /pos/{posSystemId}/startInteraction
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /pos/{posSystemId}/startInteraction:
    post:
      tags:
        - Transactions
      summary: Start POS Interaction
      operationId: Pos_StartInteraction
      parameters:
        - name: posSystemId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/StartInteractionRequestDto'
            example:
              terminalId: 6orMqUyq
              posLocationId: 6orMqUyq2Hg3tP
          application/json:
            schema:
              $ref: '#/components/schemas/StartInteractionRequestDto'
            example:
              terminalId: 6orMqUyq
              posLocationId: 6orMqUyq2Hg3tP
          text/json:
            schema:
              $ref: '#/components/schemas/StartInteractionRequestDto'
            example:
              terminalId: 6orMqUyq
              posLocationId: 6orMqUyq2Hg3tP
          application/*+json:
            schema:
              $ref: '#/components/schemas/StartInteractionRequestDto'
            example:
              terminalId: 6orMqUyq
              posLocationId: 6orMqUyq2Hg3tP
          application/xml:
            schema:
              $ref: '#/components/schemas/StartInteractionRequestDto'
            example:
              terminalId: 6orMqUyq
              posLocationId: 6orMqUyq2Hg3tP
          text/xml:
            schema:
              $ref: '#/components/schemas/StartInteractionRequestDto'
            example:
              terminalId: 6orMqUyq
              posLocationId: 6orMqUyq2Hg3tP
          application/*+xml:
            schema:
              $ref: '#/components/schemas/StartInteractionRequestDto'
            example:
              terminalId: 6orMqUyq
              posLocationId: 6orMqUyq2Hg3tP
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/StartInteractionResponseDtoApiResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/StartInteractionResponseDtoApiResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/StartInteractionResponseDtoApiResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/StartInteractionResponseDtoApiResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/StartInteractionResponseDtoApiResponse'
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    StartInteractionRequestDto:
      type: object
      properties:
        terminalId:
          type: string
          description: Terminal identifier
          nullable: true
        posLocationId:
          type: string
          description: Location POS identifier
          nullable: true
        posCompanyId:
          type: string
          description: Company POS identifier
          nullable: true
      additionalProperties: false
      description: Pos terminal data
    StartInteractionResponseDtoApiResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/StartInteractionResponseDto'
      additionalProperties: false
    StartInteractionResponseDto:
      type: object
      properties:
        terminalId:
          type: string
          description: Terminal identifier
          nullable: true
        posLocationId:
          type: string
          description: Location POS identifier
          nullable: true
        sessionId:
          type: string
          description: Session identifier
          nullable: true
        posStatus:
          $ref: '#/components/schemas/PosResponseStatus'
      additionalProperties: false
      description: Start interaction response
    PosResponseStatus:
      enum:
        - Accepted
        - Disabled
        - NotAvailable
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````